from flask import Flask, request, render_template
import ipaddress


app = Flask(__name__)


@app.route('/')
def index():
    user_ip = request.remote_addr

    subnet_mask = '255.255.255.0'

    network = ipaddress.ip_network(f'{user_ip}/{subnet_mask}', strict=False)

    return render_template('index.html', ip=user_ip, mask=subnet_mask)

if __name__ == '__main__':
    app.run(debug=True)